3 Replies Latest reply on Oct 19, 2012 1:23 PM by strict

    WMI Provider Version Discrepancy

    strict

      Once installed PM 1.8 the WMI Providers were automatically deployed and version 1.80.778.0 was installed on most computers.  There were a few that didn't get installed, and the reason why is not clear.  This happened when I first installed PM 1.7 and I simply solved the problem by publishing the WMI Provider package provided.  I went to this this wither 1.8 and realized a version discrepancy.  Although version 1.80.778.0 is what has been automatically deployed, version 1.80.785.0 is what seems to be available under the SolarWinds, Inc. Packages.  Obviously I do not want to deploy an older WMI Provider.  Please advise.  -mark

        • Re: WMI Provider Version Discrepancy
          strict

          So I just did a 'Computer Explorer' on one of the computers that did not have the 1.8 WMI Provider installed, and when I clicked on 'Software Inventory' I received the following message:

           

          Device: edn-ftc-capital.capsac.lan

          Details: Although we successfully connected to edn-ftc-capital.capsac.lan, we were unable to install the EminentWare WMI providers.

          Details: handleremoteinstallation failed. Invalid Signature.

          ewException caught: remoteinstallationclient::pushpackage failed. Invalid Signature.

          ewException caught: remoteinstallationclient::pushfilecontent::pushcontent failed. Invalid Signature. File: Remote Installation Client.cppLine: 1724

          stack trace :

           

          File: remote installation client cinterfaceimpl.cppLine: 433

          stack trace :

           

          Exception occurred at 10/18/2012 2:52:45 PM: handleremoteinstallation failed. Invalid Signature.

          ewException caught: remoteinstallationclient::pushpackage failed. Invalid Signature.

          ewException caught: remoteinstallationclient::pushfilecontent::pushcontent failed. Invalid Signature. File: Remote Installation Client.cppLine: 1724

          stack trace :

           

          File: remote installation client cinterfaceimpl.cppLine: 433

          stack trace :

           

          I looked and the 'new' certificates are installed on this box.

          • Re: WMI Provider Version Discrepancy
            Lawrence Garvin

            Although version 1.80.778.0 is what has been automatically deployed, version 1.80.785.0 is what seems to be available under the SolarWinds, Inc. Packages.

             

            The fact that v1.80.778 of the WMI Providers is being distributed, suggests that you have *RC2* installed, not the Release version.

            The Release Version of Patch Manager v1.8 will distribute v1.80.785.0 of the WMI Providers.

             

            To confirm the installed version of Patch Manager, click on the "Version" link in the Actions Pane on the root node of the MMC console.